#Using the astrochron package 
library(astrochron)

#Reading in data series 
X630707_U_03A_2
#Interpolate the X630707_U_03A stratigraphic series (with siderite beds)
X630707_U_03A_2Interp =linterp(X630707_U_03A_2)
#Trim data series 
trimdata = trim(X630707_U_03A_2,c =1.5, genplot = T)
#Interpolate the trimed X630707_U_03A stratigraphic series (without siderite beds)
X630707_U_03A_2Interp1=linterp(trimdata)

#Calculate MTM spectrum using 5pi Slepian tapers, include LOWSPEC and Harmonic F-test condfidence level estimates (witout siderite beds)
lowspec(X630707_U_03A_2Interp1, detrend = T, tbw=3,pl=1, xmax = 7, padfac = 512)
##Calculate MTM spectrum using 5pi Slepian tapers, include LOWSPEC and Harmonic F-test condfidence level estimates (with siderite beds)
lowspec(X630707_U_03A_2Interp, detrend = T, tbw=3,pl=1, xmax = 7, padfac = 512)

#Calculate Evolutionary spectrum (witout siderite beds)
fCL=eha(X630707_U_03A_2Interp1,win=6,pad=512,output=1,fmax= 7,tbw = 3, xlab = "Frequency (cycles per meter)", ylab = "Depth (m)", step = 1)

#Estimate optimal sedimentation rate wit the TimeOpt method (without siderite beds)  
timeOpt(X630707_U_03A_2Interp1,sedmin = 0.44, sedmax = 1.6, numsed = 1000, fit = 1, output = 1)
#Estimate optimal sedimentation rate wit the TimeOpt method (with siderite beds)  
timeOpt(X630707_U_03A_2Interp,sedmin = 0.44, sedmax = 1.6, numsed = 1000, fit = 1, output = 1)

#Estimate varying optimal sedimentation rate with the TimeOpt Template method (without siderite beds) 
timeOptTemplate(X630707_U_03A_2Interp1,sedmin = 0.7, sedmax = 1.6, numsed = 100, fit = 1, difmin = 0.5, difmax = 2)
# Estimate varying optimal sedimentation rate with the TimeOpt Template method (with siderite beds) 
timeOptTemplate(X630707_U_03A_2Interp,sedmin = 0.7, sedmax = 1.6, numsed = 100, fit = 1, difmin = 0.5, difmax = 2)
