#Using the astrochron package 
library(astrochron)

#Reading in data series 
X723005_U_02
#Reading in data series for interval 33 to 40 m. 
X723005_U_02_33_40

#Interpolate the X723005_U_02 stratigraphic series
X723005_U_02Interp=linterp(X723005_U_02)
#Interpolate the X723005_U_02 stratigraphic series
X723005_U_02Interp1=linterp(X723005_U_02_33_40)

#Calculate MTM spectrum using 5pi Slepian tapers, include LOWSPEC and Harmonic F-test condfidence level estimates.
lowspec(X723005_U_02Interp, detrend = T, tbw=3,pl=1, xmax = 10, padfac = 512)
#Calculate MTM spectrum using 5pi Slepian tapers, include LOWSPEC and Harmonic F-test condfidence level estimates for Interval 33-40 m. 
lowspec(X723005_U_02Interp1, detrend = T, tbw=3,pl=1, xmax = 10, padfac = 512, siglevel = 0.87)

#Calculate Evolutionary spectrum
eha(X723005_U_02Interp,win=6,pad=256,tbw = 3,fmax=10, xlab = "Frequency (cycles per meter)", ylab = "Depth (m)", step = 1)

#Estimate optimal sedimentation rate wit the TimeOpt method  
timeOpt(X723005_U_02Interp, sedmin = 0.44, sedmax = 1.6, numsed = 100, fit = 1 )

#Estimate varying optimal sedimentation rate with the TimeOpt Template method.
timeOptTemplate(X723005_U_02Interp,sedmin = 0.44, sedmax = 1.6, numsed = 100, fit = 1, difmin = 0.2, difmax = 2)